Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1519467

Summary: UI shows all VPCs as inactive under Cloud Networks
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: ProvidersAssignee: Ladislav Smola <lsmola>
Status: CLOSED CURRENTRELEASE QA Contact: Matouš Mojžíš <mmojzis>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.9.0CC: agrare, cpelland, gblomqui, jfrey, jhardy, mmojzis, obarenbo
Target Milestone: GA   
Target Release: 5.9.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ui:network:ec2
Fixed In Version: 5.9.0.12 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1518687 Environment:
Last Closed: 2018-03-06 15:24:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: AWS
Bug Depends On: 1518687    
Bug Blocks:    

Comment 2 CFME Bot 2017-11-30 18:23:03 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/fb57478d943661aca2e9f9b356cf11e350da03de

commit fb57478d943661aca2e9f9b356cf11e350da03de
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Nov 30 09:43:08 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Nov 30 13:13:37 2017 -0500

    Merge pull request #373 from Ladas/correct_status_for_network
    
    Correct status for network
    (cherry picked from commit 1fecc433912de44b8a7d3957b15734fdd020a456)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1519467

 .../manageiq/providers/amazon/inventory/parser/network_manager.rb       | 2 +-
 app/models/manageiq/providers/amazon/network_manager/refresh_parser.rb  | 2 +-
 spec/models/manageiq/providers/amazon/aws_refresher_spec_common.rb      | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

Comment 3 Matouš Mojžíš 2017-12-13 16:13:00 UTC
Verified in 5.9.0.12. VPC status is displayed correctly.